Update a subscription
curl --request PUT \
--url https://external.pleo.io/v1/subscriptions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"endpointUrl": "https://example.com/webhook",
"eventTypes": [
"v1.export-job.created"
],
"customHeaders": {
"user": "pass"
},
"endpointAuth": {
"credentials": {
"password": "password",
"token": "token",
"username": "username"
},
"type": "NONE"
},
"status": "ACTIVE"
}
'import requests
url = "https://external.pleo.io/v1/subscriptions/{id}"
payload = {
"endpointUrl": "https://example.com/webhook",
"eventTypes": ["v1.export-job.created"],
"customHeaders": { "user": "pass" },
"endpointAuth": {
"credentials": {
"password": "password",
"token": "token",
"username": "username"
},
"type": "NONE"
},
"status": "ACTIVE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
endpointUrl: 'https://example.com/webhook',
eventTypes: ['v1.export-job.created'],
customHeaders: {user: 'pass'},
endpointAuth: {
credentials: {password: 'password', token: 'token', username: 'username'},
type: 'NONE'
},
status: 'ACTIVE'
})
};
fetch('https://external.pleo.io/v1/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"createdAt": "2022-01-01T00:00:00Z",
"endpointUrl": "https://example.com/webhook",
"eventTypes": "v1.export-job.created",
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "ACTIVE",
"updatedAt": "2022-01-10T00:00:00Z",
"customHeaders": {
"user": "pass"
},
"deletedAt": "2022-01-01T00:00:00Z",
"deletedBy": "urn:pleo:organisation:12345678-1234-1234-1234-123456789012",
"endpointAuth": {
"credentials": {
"password": "password",
"token": "token",
"username": "username"
},
"type": "NONE"
}
}
}Subscriptions
Update a subscription
Modifies the subscription details.
PUT
/
v1
/
subscriptions
/
{id}
Update a subscription
Authorizations
bearerAuthbasicAuth
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
The unique identifier of the subscription
Body
application/json;charset=UTF-8
Update Subscription request
The URL where the events should be sent
Example:
"https://example.com/webhook"
Name of the event types you wish to subscribe to. Possible values can be found in the EventType enum.
Name of the event types you wish to subscribe to. Possible values can be found in the EventType enum.
Example:
["v1.export-job.created"]
Key values as headers to be sent to the webhooks vendor
Show child attributes
Show child attributes
Example:
{ "user": "pass" }
Authentication details for the endpoint
Show child attributes
Show child attributes
Status of subscription
Available options:
INACTIVE, ACTIVE Example:
"ACTIVE"
Response
Subscription updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I